> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# バックグラウンドタスク一覧を取得

> ナレッジベースのバックグラウンド処理を 1 つのフィードにまとめて一覧表示するか、特定のタスクを ID で検索します：

- `task_ids` なし：最新のインデックスタスク、一括タスク、ソースの実行を、新しい順にまとめて返します。一括タスクに属するインデックスタスクは、その一括タスクとして表示されます。ただし、コンテンツはすでに使用中で、ナレッジグラフがまだ構築中か構築に失敗した場合は除きます。古いタスクは `next_cursor` をたどって取得します。
- `task_ids` あり：最大 100 件のインデックスタスク ID または一括タスク ID を指定します。不明な ID、API キーから見えないタスク、ソースの実行の ID は除外されます。このリストはページ分割されません。

[ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents) のリクエストをここで追跡するには、その `bulk_job_id` を検索します。

どの場面でどのタスク操作を使うかについては、[インデックス処理の追跡](/ja/api-reference/guides/knowledge-base#track-indexing) を参照してください。



## OpenAPI

````yaml /ja/api-reference/openapi_service.json get /knowledge-fs/spaces/{knowledge_base_id}/background-tasks
openapi: 3.0.1
info:
  description: >-
    Dify アプリケーションとナレッジベースのための REST API です。アプリケーション系エンドポイントはアプリの API
    キーで、ナレッジ系エンドポイントはナレッジベースの API キーで認証します。
  title: Dify サービス API
  version: 1.0.0
servers:
  - description: Dify サービス API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - description: チャットメッセージとインタラクションに関連する操作です。
    name: チャットメッセージ
  - description: ファイルのアップロードとプレビューの操作です。
    name: ファイル操作
  - description: エンドユーザー情報に関連する操作です。
    name: エンドユーザー
  - description: ユーザーフィードバックの操作です。
    name: メッセージフィードバック
  - description: 会話管理に関連する操作です。
    name: 会話管理
  - description: テキスト読み上げと音声認識の操作です。
    name: 音声・テキスト変換
  - description: アプリケーション設定と情報を取得する操作です。
    name: アプリケーション設定
  - description: ダイレクト返信用のアノテーション管理に関連する操作です。
    name: アノテーション管理
  - description: 人間の入力を要する一時停止中のワークフローの再開操作です。
    name: 人間の入力
  - description: ワークフローの実行と管理のための操作です。
    name: ワークフロー実行
  - description: テキスト生成に関連する操作です。
    name: 完了メッセージ
  - description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
    name: ナレッジベース
  - description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
    name: ドキュメント
  - description: ドキュメントチャンクと子チャンクの管理のための操作です。
    name: チャンク
  - description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
    name: メタデータ
  - description: ナレッジベースタグとタグバインディングの管理のための操作です。
    name: タグ管理
  - description: 利用可能なモデルを取得するための操作です。
    name: モデル
  - description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
    name: ナレッジパイプライン
  - description: ナレッジベースに質問し、回答をストリーミングで受け取ります。
    name: クエリ
  - description: クエリが何を検索したか、またその理由を確認します。
    name: クエリ記録
  - description: リサーチの質問をバックグラウンドで実行し、その結果を取得します。
    name: リサーチタスク
  - description: ナレッジベースのドキュメントと、そのファイル、リビジョン、チャンクを読み取り、ドキュメントにメタデータのラベルを付けます。
    name: ドキュメントとチャンク
  - description: インデックス処理の追跡、キャンセル、再試行と、ナレッジベースのバックグラウンドタスクの一覧表示を行います。
    name: インデックスタスク
  - description: ドキュメントファイル、ファイルのバッチ、またはソースの削除を、完了するまで追跡します。
    name: 削除ジョブ
  - description: ナレッジベースにデータを供給するソース、その同期スケジュール、接続を管理します。
    name: ソース
  - description: ソースの即時同期、ウェブサイトのページまたはプロバイダーのアイテムのインポート、実行の追跡、キャンセル、再試行を行います。
    name: ソースの同期とインポート
  - description: ナレッジベースのモデルと検索設定の読み取りと変更、および変更によって始まる移行の追跡を行います。
    name: 設定
paths:
  /knowledge-fs/spaces/{knowledge_base_id}/background-tasks:
    get:
      tags:
        - Indexing Tasks
      summary: バックグラウンドタスク一覧を取得
      description: >-
        ナレッジベースのバックグラウンド処理を 1 つのフィードにまとめて一覧表示するか、特定のタスクを ID で検索します：


        - `task_ids`
        なし：最新のインデックスタスク、一括タスク、ソースの実行を、新しい順にまとめて返します。一括タスクに属するインデックスタスクは、その一括タスクとして表示されます。ただし、コンテンツはすでに使用中で、ナレッジグラフがまだ構築中か構築に失敗した場合は除きます。古いタスクは
        `next_cursor` をたどって取得します。

        - `task_ids` あり：最大 100 件のインデックスタスク ID または一括タスク ID を指定します。不明な ID、API
        キーから見えないタスク、ソースの実行の ID は除外されます。このリストはページ分割されません。


        [ドキュメントを再インデックス](/ja/api-reference/documents-and-chunks/re-index-documents)
        のリクエストをここで追跡するには、その `bulk_job_id` を検索します。


        どの場面でどのタスク操作を使うかについては、[インデックス処理の追跡](/ja/api-reference/guides/knowledge-base#track-indexing)
        を参照してください。
      operationId: listBackgroundTasks
      parameters:
        - description: >-
            ナレッジベース ID です。ナレッジベースの **API アクセス** ダイアログに表示されるサービス API
            エンドポイントの最後のセグメント（`…/knowledge-fs/spaces/<knowledge base
            ID>`）です。アドレスバーでは `/datasets/new/` の後のセグメントです。
          in: path
          name: knowledge_base_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            検索するインデックスタスク ID または一括タスク ID をカンマ区切りで指定します（最大 100 件）。`cursor`
            とは併用できません。
          in: query
          name: task_ids
          required: false
          schema:
            maxLength: 3699
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}(,[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}){0,99}$
            type: string
        - description: 前のページの `next_cursor` から取得したカーソルです。`task_ids` と同時には指定できません。
          in: query
          name: cursor
          required: false
          schema:
            maxLength: 8192
            minLength: 1
            type: string
        - description: 1 ページあたりのタスク数です。`task_ids` を指定した場合は無視されます。
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  summary: レスポンス例
                  value:
                    data:
                      - can_cancel: true
                        can_retry: false
                        completed_at: null
                        created_at: '2026-10-20T10:00:00Z'
                        document_id: null
                        document_revision: null
                        document_title: null
                        error_code: null
                        error_message: null
                        failure: null
                        failures: null
                        id: e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b
                        knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                        operation: source_sync
                        progress_completed: 12
                        progress_failed: 0
                        progress_percent: 27
                        progress_total: 45
                        semantic_enrichment: null
                        source_id: 6f1c2b0e-3d0b-4a5e-9f4c-1c0e6a7b8d90
                        source_title: Docs site
                        state: running
                        task_kind: source
                        updated_at: '2026-10-20T10:02:40Z'
                      - can_cancel: true
                        can_retry: false
                        completed_at: null
                        created_at: '2026-10-20T09:30:00Z'
                        document_id: null
                        document_revision: null
                        document_title: null
                        error_code: null
                        error_message: null
                        failure: null
                        failures: null
                        id: c7d9e1f3-5a7b-4c9d-8e0f-1a2b3c4d5e6f
                        knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                        operation: document_reindex
                        progress_completed: 1
                        progress_failed: 0
                        progress_percent: 50
                        progress_total: 2
                        semantic_enrichment: null
                        source_id: null
                        source_title: null
                        state: running
                        task_kind: document_bulk
                        updated_at: '2026-10-20T09:31:12Z'
                      - can_cancel: false
                        can_retry: false
                        completed_at: '2026-10-20T08:16:05Z'
                        created_at: '2026-10-20T08:15:42Z'
                        document_id: 2f6b8d1a-7c3e-4a5b-9d0e-1f2a3b4c5d6e
                        document_revision: 2
                        document_title: null
                        error_code: null
                        error_message: null
                        failure: null
                        failures: null
                        id: c4e8a2f6-1b3d-4e5f-8a9b-0c1d2e3f4a5b
                        knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                        operation: document_processing
                        progress_completed: 1
                        progress_failed: 0
                        progress_percent: 100
                        progress_total: 1
                        semantic_enrichment:
                          error_code: null
                          error_message: null
                          failure: null
                          nodes_completed: 18
                          nodes_total: 18
                          provider_calls: 12
                          provider_calls_maximum: 200
                          state: ready
                          updated_at: '2026-10-20T08:17:30Z'
                        source_id: null
                        source_title: null
                        state: completed
                        task_kind: document
                        updated_at: '2026-10-20T08:17:30Z'
                    next_cursor: >-
                      eyJ2ZXJzaW9uIjoxLCJzb3VyY2UiOnsiY3JlYXRlZEF0IjoiMjAyNi0xMC0yMFQxMDowMDowMC4wMDBaIiwiaWQiOiJlMWYyYTNiNC1jNWQ2LTRlN2YtOGE5Yi0wYzFkMmUzZjRhNWIifSwiYnVsayI6eyJjcmVhdGVkQXQiOiIyMDI2LTEwLTIwVDA5OjMwOjAwLjAwMFoiLCJpZCI6ImM3ZDllMWYzLTVhN2ItNGM5ZC04ZTBmLTFhMmIzYzRkNWU2ZiJ9LCJkb2N1bWVudCI6eyJjcmVhdGVkQXQiOiIyMDI2LTEwLTIwVDA4OjE1OjQyLjAwMFoiLCJpZCI6ImM0ZThhMmY2LTFiM2QtNGU1Zi04YTliLTBjMWQyZTNmNGE1YiJ9fQ
              schema:
                properties:
                  data:
                    description: >-
                      タスクです。新しい順に並びます。`task_ids`
                      を指定した場合は、見つかったインデックスタスク、続いて見つかった一括タスクの順に並びます。
                    items:
                      $ref: '#/components/schemas/KnowledgeBaseBackgroundTask'
                    type: array
                  next_cursor:
                    description: >-
                      古いタスクを取得するためのカーソルです。最後のページと、`task_ids` を指定した場合は `null`
                      です。`cursor` として送り返してください。
                    nullable: true
                    type: string
                type: object
          description: 1 ページ分のタスク、または検索したタスクです。
        '400':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_request_local:
                  summary: knowledge_fs_invalid_request (request validation)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
                    violations:
                      - field:
                          - task_ids
                        type: string_pattern_mismatch
                knowledge_fs_invalid_request_upstream:
                  summary: knowledge_fs_invalid_request (rejected)
                  value:
                    code: knowledge_fs_invalid_request
                    failure:
                      category: validation
                      code: KNOWLEDGE_FS_INVALID_REQUEST
                      message: The Agent Knowledge Base request is invalid.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The Agent Knowledge Base request is invalid.
                    status: 400
          description: >-
            - `knowledge_fs_invalid_request`：リクエストが検証に失敗しました。`violations`
            には、問題のあるフィールドがそれぞれ示されます。`task_ids` がカンマ区切りの UUID ではない場合、100 件を超える ID
            を指定している場合、`task_ids`、`cursor`、`limit` 以外のクエリパラメータがある場合が該当します。

            - `knowledge_fs_invalid_request`：`cursor` が `next_cursor`
            から得た値ではないか、`cursor` が `task_ids` と同時に送信されました。
        '401':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_credential:
                  summary: knowledge_fs_invalid_credential
                  value:
                    code: knowledge_fs_invalid_credential
                    message: Invalid Agent Knowledge Base service credential.
                    status: 401
                unauthorized:
                  summary: unauthorized
                  value:
                    code: unauthorized
                    message: Access token is invalid
                    status: 401
          description: >-
            - `unauthorized`：`Authorization` ヘッダーがないか、キーが不明であるか、ナレッジベースの API
            キーではありません。

            - `knowledge_fs_invalid_credential`：キーは有効ですが、キーのワークスペースにこの ID
            のナレッジベースが存在しないか、キーがワークスペースに紐付いていません。
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (rate limit)
                  value:
                    code: forbidden
                    message: >-
                      Sorry, you have reached the knowledge base request rate
                      limit of your subscription.
                    status: 403
                knowledge_fs_access_denied_scope:
                  summary: knowledge_fs_access_denied (key scope)
                  value:
                    code: knowledge_fs_access_denied
                    message: Agent Knowledge Base operation is not allowed.
                    status: 403
                knowledge_fs_access_denied_upstream:
                  summary: knowledge_fs_access_denied (rejected)
                  value:
                    code: knowledge_fs_access_denied
                    failure:
                      action: contact_admin
                      category: authorization
                      code: KNOWLEDGE_FS_ACCESS_DENIED
                      message: >-
                        You do not have permission to perform this Agent
                        Knowledge Base operation.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: >-
                      You do not have permission to perform this Agent Knowledge
                      Base operation.
                    status: 403
          description: >-
            -
            `knowledge_fs_access_denied`：キーのアクセス範囲がほかのナレッジベースに限定されているか、このナレッジベースで
            **API アクセス** がオフになっています。または、ナレッジベースがアクティブではありません。

            - `knowledge_fs_access_denied`：キーには、このナレッジベースのコンテンツへのアクセス権がありません。

            - `forbidden`：Dify Cloud
            で、ワークスペースがサブスクリプションで定められたナレッジベースのリクエストレート制限に達しました。読み取りを含め、すべての呼び出しがカウントされます。
        '404':
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found (feature off)
                  value:
                    code: not_found
                    message: >-
                      The requested URL was not found on the server. If you
                      entered the URL manually please check your spelling and
                      try again.
                    status: 404
          description: '- `not_found`：このデプロイ環境では Agent ナレッジベース機能が無効になっています。'
        '502':
          content:
            application/json:
              examples:
                knowledge_fs_upstream_unavailable:
                  summary: knowledge_fs_upstream_unavailable (service error)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    failure:
                      action: contact_admin
                      category: internal
                      code: KNOWLEDGE_FS_INTERNAL_ERROR
                      message: >-
                        Agent Knowledge Base could not complete the operation.
                        Try again, or contact an administrator with the error
                        reference.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      Agent Knowledge Base could not complete the operation. Try
                      again, or contact an administrator with the error
                      reference.
                    status: 502
                knowledge_fs_upstream_unavailable_transport:
                  summary: knowledge_fs_upstream_unavailable (no response)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    message: Agent Knowledge Base is unavailable.
                    status: 502
          description: >-
            -
            `knowledge_fs_upstream_unavailable`：時間内に応答が返らなかったか、応答を読み取れませんでした。しばらく待ってから再試行してください。
        '503':
          content:
            application/json:
              examples:
                knowledge_fs_operation_unavailable:
                  summary: knowledge_fs_operation_unavailable
                  value:
                    code: knowledge_fs_operation_unavailable
                    message: Agent Knowledge Base operation is not available.
                    status: 503
                knowledge_fs_operation_unavailable_upstream:
                  summary: knowledge_fs_operation_unavailable (temporary)
                  value:
                    code: knowledge_fs_operation_unavailable
                    failure:
                      action: retry
                      category: dependency
                      code: KNOWLEDGE_FS_UNAVAILABLE
                      message: >-
                        A service required by Agent Knowledge Base is
                        temporarily unavailable.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      A service required by Agent Knowledge Base is temporarily
                      unavailable.
                    status: 503
          description: >-
            - `knowledge_fs_operation_unavailable`：このワークスペースで Agent
            ナレッジベース機能が設定されていないか、このデプロイ環境ではこの操作を利用できません。または、リクエストの認可中に、このナレッジベースに対するキーのアクセス権が変更されました。

            -
            `knowledge_fs_operation_unavailable`：現在このリクエストを処理できません。`failure.retryPolicy`
            に従ってください。
components:
  schemas:
    KnowledgeBaseBackgroundTask:
      properties:
        can_cancel:
          description: >-
            タスクを現時点でキャンセルできるかどうかです。`task_kind: document` の場合は、`id` を指定して
            [インデックスタスクをキャンセル](/ja/api-reference/indexing-tasks/cancel-indexing-task)
            でキャンセルします。一括タスクには、`can_cancel` が `true` であっても、この API
            でキャンセルする操作はありません。
          type: boolean
        can_retry:
          description: >-
            タスクを現時点で再試行できるかどうかです。`task_kind: document` の場合は、`id` を指定して
            [インデックスタスクを再試行](/ja/api-reference/indexing-tasks/retry-indexing-task)
            で再試行します。この操作が受け付けるのは `failed` または `canceled` のタスクのみです。一方、`can_retry`
            は、セマンティックエンリッチメントが失敗した `completed` のインデックスタスクでも `true` になります。
          type: boolean
        completed_at:
          description: タスクの終了日時（ISO 8601）です。実行中は `null` です。
          nullable: true
          type: string
        created_at:
          description: タスクの作成日時（ISO 8601）です。
          type: string
        document_id:
          description: インデックスタスクのドキュメント ID です。一括タスクでは、対象ドキュメントが 1 件の場合にのみ設定されます。
          nullable: true
          type: string
        document_revision:
          description: インデックスタスクが構築するリビジョンです。
          nullable: true
          type: integer
        document_title:
          description: ドキュメントのタイトルです。対象ドキュメントが 1 件の一括タスクでのみ設定されます。
          nullable: true
          type: string
        error_code:
          description: '`state` が `failed` の場合のエラーコードです。'
          nullable: true
          type: string
        error_message:
          description: '`error_code` に対応するメッセージです。`failure.message` と異なる場合があります。'
          nullable: true
          type: string
        failure:
          allOf:
            - $ref: '#/components/schemas/KnowledgeBaseErrorDetails'
          description: '`state` が `failed` の場合のエラー詳細です。それ以外の場合は `null` です。'
          nullable: true
        failures:
          description: 一括タスクの場合、失敗したドキュメントごとに 1 つのエントリが入ります。ほかの種類では `null` です。
          items:
            properties:
              document_id:
                description: ドキュメント ID です。
                type: string
              document_title:
                description: ドキュメントのタイトルです。
                nullable: true
                type: string
              error_code:
                description: 失敗のエラーコードです。
                type: string
              error_message:
                description: '`error_code` に対応するメッセージです。'
                type: string
              failure:
                $ref: '#/components/schemas/KnowledgeBaseErrorDetails'
              job_id:
                description: ドキュメントに対応するタスクの ID です（存在する場合）。
                nullable: true
                type: string
            type: object
          nullable: true
          type: array
        id:
          description: >-
            タスク ID です。`task_kind: document` ではインデックスタスク ID、`document_bulk`
            では一括タスク ID、`source` ではソースの実行 ID です。
          type: string
        knowledge_space_id:
          description: ナレッジベースの内部 ID です。パスのナレッジベース ID とは異なります。
          type: string
        operation:
          description: >-
            タスクの処理内容です：


            - `document_processing`：インデックスタスクです。

            -
            `document_reindex`、`document_upload`、`document_delete`：一括タスクです。一括アップロードと一括削除は
            Dify 上で実行されたものです。この API で削除した場合は、代わりに削除ジョブが作成されます。

            -
            `source_sync`、`source_crawl_preview`、`source_crawl_import`、`source_online_document_import`、`source_online_drive_import`：ソースの実行です。
          type: string
        progress_completed:
          description: 完了したアイテム数です。インデックスタスクではそのドキュメント、一括タスクでは各ドキュメント、ソースの実行では各アイテムを数えます。
          type: integer
        progress_failed:
          description: 失敗したアイテム数です。数え方は `progress_completed` と同じです。
          type: integer
        progress_percent:
          description: 0 から 100 までの進捗です。インデックスタスクでは、タスクの段階に応じて進みます。
          type: integer
        progress_total:
          description: タスク内のアイテム数です。数え方は `progress_completed` と同じです。インデックスタスクでは `1` です。
          type: integer
        semantic_enrichment:
          allOf:
            - $ref: '#/components/schemas/KnowledgeBaseSemanticEnrichment'
          description: >-
            インデックスタスクのコンテンツに対するナレッジグラフの構築ステータスです。詳細検索とリサーチ検索は、ナレッジグラフをたどります。ほかの種類では
            `null` です。
          nullable: true
        source_id:
          description: ソースの実行が属するソースです。
          nullable: true
          type: string
        source_title:
          description: ソースの実行が属するソースの名前です。`task_ids` を指定せずに一覧を取得した場合にのみ設定されます。
          nullable: true
          type: string
        state:
          description: >-
            `queued`、`running`、`completed`、`failed`、`canceled`
            のいずれかで、各タスク固有の状態から変換されます：


            - インデックスタスクは、公開が済んだ時点で `completed`
            になります。セマンティックエンリッチメントがまだ実行中でも同様です。

            - ページの選択を待っているクロールプレビューは `completed` です。


            正確な状態は、インデックスタスクなら
            [インデックスタスクを取得](/ja/api-reference/indexing-tasks/get-indexing-task)、ソースの実行なら
            [ソースの実行を取得](/ja/api-reference/source-syncs-and-imports/get-source-run)
            で確認してください。
          type: string
        task_kind:
          description: >-
            `document`（インデックスタスク）、`document_bulk`（一括タスク）、`source`（ソースの実行）のいずれかです。
          type: string
        updated_at:
          description: タスクが最後に変更された日時（ISO 8601）です。
          type: string
      type: object
    KnowledgeBaseErrorDetails:
      properties:
        action:
          description: >-
            推奨される次の対応です。ある場合は
            `configure_model`、`configure_parser`、`configure_source`、`contact_admin`、`reupload`、`retry`
            のいずれかです。該当しない場合は `null` で、HTTP エラーのボディでは省略されます。
          nullable: true
          type: string
        category:
          description: >-
            失敗の種類で、`authorization`、`canceled`、`configuration`、`conflict`、`dependency`、`internal`、`not_found`、`rate_limit`、`timeout`、`validation`
            のいずれかです。
          type: string
        code:
          description: >-
            大文字のスネークケースで表される固定のエラーコードです（例：`KNOWLEDGE_FS_CONFLICT`、`SOURCE_CREDENTIAL_TEST_FAILED`）。
          type: string
        message:
          description: エラーコードまたは失敗の種類に対応する公開用メッセージです。プロバイダーのエラー詳細は公開されません。
          type: string
        parameters:
          additionalProperties: true
          description: >-
            失敗の内容を補足する最大 8 個の値です。キーは
            `attempt`、`currentRowVersion`、`documentCount`、`expectedRowVersion`、`fileSizeBytes`、`limit`、`maxFileSizeBytes`、`maxItems`、`modelType`、`providerKind`、`retryAfterSeconds`、`status`
            のいずれかです。値がない場合は `null` で、HTTP エラーのボディでは省略されます。
          nullable: true
          type: object
        retryPolicy:
          description: >-
            再試行で解決できるかどうかです。`automatic`（サービスが自動で再試行）、`manual`（呼び出し側で再試行）、`after_configuration`（先に
            Dify でナレッジベースの設定を修正）、`never`（リクエストを変更）のいずれかです。
          type: string
        stage:
          description: >-
            失敗が発生した段階です（例：`query_generation`、`credential-test`）。該当しない場合は `null`
            で、HTTP エラーのボディでは省略されます。
          nullable: true
          type: string
        traceId:
          description: >-
            管理者に問い合わせる際に伝える参照情報です。失敗の詳細を含む成功レスポンスでは `null` になることがあり、HTTP
            エラーのボディでは省略されることがあります。
          nullable: true
          type: string
      type: object
    KnowledgeBaseSemanticEnrichment:
      properties:
        error_code:
          description: '`state` が `failed` の場合のエラーコードです。'
          nullable: true
          type: string
        error_message:
          description: '`error_code` に対応するメッセージです。`failure.message` と異なる場合があります。'
          nullable: true
          type: string
        failure:
          allOf:
            - $ref: '#/components/schemas/KnowledgeBaseErrorDetails'
          description: '`state` が `failed` の場合のエラー詳細です。それ以外の場合は `null` です。'
          nullable: true
        nodes_completed:
          description: >-
            構築済みのナレッジグラフのノード数です。`state` が `ready` になるまでは `0` で、その後は
            `nodes_total` と同じ値になります。
          type: integer
        nodes_total:
          description: 構築するナレッジグラフのノード数です。判明するまでは `null` です。
          nullable: true
          type: integer
        provider_calls:
          description: これまでのモデル呼び出し回数です。
          nullable: true
          type: integer
        provider_calls_maximum:
          description: ナレッジグラフの構築で実行できるモデル呼び出しの最大回数です。
          nullable: true
          type: integer
        state:
          description: >-
            `not_scheduled`、`pending`、`running`、`ready`、`failed`、`disabled`
            のいずれかです。インデックスタスクがリビジョンを公開した後も、ナレッジグラフの構築が `pending` または `running`
            のままの場合があります。
          type: string
        updated_at:
          description: エンリッチメントが最後に変更された日時（ISO 8601）です。
          nullable: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        すべてのリクエストは API キーで認証します：`Authorization: Bearer
        {API_KEY}`。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API
        キーを使用します（[Dify API クイックスタート](/ja/api-reference/guides/get-started)）。


        キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP
        `401`（`unauthorized`）で失敗します。
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.